Bug 1576931 - gnome-shell crashes when an external monitor is connected to a Lenovo P50 laptop
Summary: gnome-shell crashes when an external monitor is connected to a Lenovo P50 laptop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 18:54 UTC by Stephen Gallagher
Modified: 2018-05-13 20:01 UTC (History)
5 users (show)

Fixed In Version: mutter-3.28.2-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-11 19:57:29 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab https://gitlab.gnome.org/GNOME mutter issues 21 0 None None None 2018-05-11 11:57:41 UTC

Description Stephen Gallagher 2018-05-10 18:54:29 UTC
Description of problem:
On a Lenovo P50 with hybrid Intel and nVidia graphics, connecting an external monitor to the laptop causes gnome-shell to crash. It only occurs when the laptop is configured to run in hybrid operation; if I force the BIOS setting to be nVidia-only (there is no Intel-only option), the second monitor works fine, however the system uses up its battery far more quickly.



Version-Release number of selected component (if applicable):
gnome-shell-3.28.1-3.fc28.x86_64
mutter-3.28.1-1.fc28.x86_64
kernel-core-4.16.7-300.fc28.x86_64


How reproducible:
Every time

Steps to Reproduce:
1. Configure in BIOS for "hybrid graphics". I set the Intel graphics memory at 512MB
2. Boot Fedora 28 with the external monitor disconnected
3. Log into Fedora 28
4. Plug an external monitor into the DisplayPort port. (I haven't tested it with HDMI).

Actual results:
gnome-shell crashes back to GDM. GDM is displaying across both monitors

Expected results:
The external monitor should extend or mirror the desktop, as configured.

Additional info:


           PID: 2640 (gnome-shell)
           UID: 13041 (sgallagh)
           GID: 13041 (sgallagh)
        Signal: 11 (SEGV)
     Timestamp: Thu 2018-05-10 14:43:27 EDT (3min 29s ago)
  Command Line: /usr/bin/gnome-shell
    Executable: /usr/bin/gnome-shell
 Control Group: /user.slice/user-13041.slice/session-2.scope
          Unit: session-2.scope
         Slice: user-13041.slice
       Session: 2
     Owner UID: 13041 (sgallagh)
       Boot ID: 655aa73f9d694ccca3a2788406e91529
    Machine ID: 06df243f7c7c435d806086f01e480d63
      Hostname: sgallaghp50.sgallagh.rht
       Storage: /var/lib/systemd/coredump/core.gnome-shell.13041.655aa73f9d694ccca3a2788406e91529.2640.1525977807000000.lz4
       Message: Process 2640 (gnome-shell) of user 13041 dumped core.
                
                Stack trace of thread 2640:
                #0  0x00007f68e19e3d74 gbm_bo_get_plane_count (libgbm.so.1)
                #1  0x00007f68eb7c9ef7 gbm_get_next_fb_id (libmutter-2.so.0)
                #2  0x00007f68eb7ca28c meta_onscreen_native_swap_buffers_with_damage (libmutter-2.so.0)
                #3  0x00007f68ea1f06a6 cogl_onscreen_swap_buffers_with_damage (libmutter-cogl-2.so)
                #4  0x00007f68ebedafbf clutter_stage_cogl_redraw_view (libmutter-clutter-2.so)
                #5  0x00007f68ebedbc4b clutter_stage_cogl_redraw (libmutter-clutter-2.so)
                #6  0x00007f68ebf4a669 _clutter_stage_do_update (libmutter-clutter-2.so)
                #7  0x00007f68ebf35869 clutter_clock_dispatch (libmutter-clutter-2.so)
                #8  0x00007f68ed27c7cd g_main_context_dispatch (libglib-2.0.so.0)
                #9  0x00007f68ed27cb98 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
                #10 0x00007f68ed27cec2 g_main_loop_run (libglib-2.0.so.0)
                #11 0x00007f68eb762b00 meta_run (libmutter-2.so.0)
                #12 0x000055e2a7faa4d8 n/a (gnome-shell)
                #13 0x00007f68eb0f81bb __libc_start_main (libc.so.6)
                #14 0x000055e2a7faa62a n/a (gnome-shell)
                
                Stack trace of thread 2655:
                #0  0x00007f68eb1c4929 __GI___poll (libc.so.6)
                #1  0x00007f68ed27cb06 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
                #2  0x00007f68ed27cc30 g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007f68d69e3e4d dconf_gdbus_worker_thread (libdconfsettings.so)
                #4  0x00007f68ed2a4cea g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #6  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 2652:
                #0  0x00007f68eb1c4929 __GI___poll (libc.so.6)
                #1  0x00007f68ed27cb06 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
                #2  0x00007f68ed27cec2 g_main_loop_run (libglib-2.0.so.0)
                #3  0x00007f68ed86c60a gdbus_shared_thread_func (libgio-2.0.so.0)
                #4  0x00007f68ed2a4cea g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #6  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 2672:
                #0  0x00007f68eb4a14fc futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f68c287c6f3 n/a (nouveau_dri.so)
                #2  0x00007f68c287c40b n/a (nouveau_dri.so)
                #3  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #4  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 2738:
                #0  0x00007f68eb4a14fc futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f68e3452dd8 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
                #2  0x00007f68e3453095 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
                #3  0x00007f68e383d850 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
                #4  0x00007f68e385e796 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
                #5  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #6  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 2651:
                #0  0x00007f68eb1c4929 __GI___poll (libc.so.6)
                #1  0x00007f68ed27cb06 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
                #2  0x00007f68ed27cc30 g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007f68ed27cc81 glib_worker_main (libglib-2.0.so.0)
                #4  0x00007f68ed2a4cea g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #6  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 2736:
                #0  0x00007f68eb4a14fc futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f68e3452dd8 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
                #2  0x00007f68e3453095 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
                #3  0x00007f68e383d850 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
                #4  0x00007f68e385e796 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
                #5  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #6  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 2739:
                #0  0x00007f68eb4a14fc futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f68e3452dd8 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
                #2  0x00007f68e3453095 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
                #3  0x00007f68e383d850 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
                #4  0x00007f68e385e796 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
                #5  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #6  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 2740:
                #0  0x00007f68eb4a14fc futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f68e3452dd8 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
                #2  0x00007f68e3453095 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
                #3  0x00007f68e383d850 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
                #4  0x00007f68e385e796 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
                #5  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #6  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 2731:
                #0  0x00007f68eb4a14fc futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f68e3452dd8 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
                #2  0x00007f68e3453095 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
                #3  0x00007f68e383d850 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
                #4  0x00007f68e385e796 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
                #5  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #6  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 2732:
                #0  0x00007f68eb4a14fc futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f68e3452dd8 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
                #2  0x00007f68e3453095 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
                #3  0x00007f68e383d850 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
                #4  0x00007f68e385e796 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
                #5  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #6  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 2737:
                #0  0x00007f68eb4a14fc futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f68e3452dd8 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
                #2  0x00007f68e3453095 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
                #3  0x00007f68e383d850 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
                #4  0x00007f68e385e796 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
                #5  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #6  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 2735:
                #0  0x00007f68eb4a14fc futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f68e3452dd8 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
                #2  0x00007f68e3453095 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
                #3  0x00007f68e383d850 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
                #4  0x00007f68e385e796 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
                #5  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #6  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 2742:
                #0  0x00007f68eb4a14fc futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f68e3452dd8 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
                #2  0x00007f68e3453095 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
                #3  0x00007f68e383d850 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
                #4  0x00007f68e385e796 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
                #5  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #6  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 2741:
                #0  0x00007f68eb4a14fc futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f68e3452dd8 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
                #2  0x00007f68e3453095 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
                #3  0x00007f68e383d850 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
                #4  0x00007f68e385e796 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
                #5  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #6  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 2733:
                #0  0x00007f68eb4a14fc futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f68e3452dd8 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
                #2  0x00007f68e3453095 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
                #3  0x00007f68e383d850 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
                #4  0x00007f68e385e796 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
                #5  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #6  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 2721:
                #0  0x00007f68eb1c4929 __GI___poll (libc.so.6)
                #1  0x00007f68b0441d75 n/a (libpulse.so.0)
                #2  0x00007f68b0433368 pa_mainloop_poll (libpulse.so.0)
                #3  0x00007f68b04339b2 pa_mainloop_iterate (libpulse.so.0)
                #4  0x00007f68b0433a60 pa_mainloop_run (libpulse.so.0)
                #5  0x00007f68b0441cbd n/a (libpulse.so.0)
                #6  0x00007f68b01e098c n/a (libpulsecommon-11.1.so)
                #7  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #8  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 3894:
                #0  0x00007f68eb1c9df9 syscall (libc.so.6)
                #1  0x00007f68ed2c344e g_cond_wait_until (libglib-2.0.so.0)
                #2  0x00007f68ed24f0e1 g_async_queue_pop_intern_unlocked (libglib-2.0.so.0)
                #3  0x00007f68ed24f6d0 g_async_queue_timeout_pop (libglib-2.0.so.0)
                #4  0x00007f68ed2a5791 g_thread_pool_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f68ed2a4cea g_thread_proxy (libglib-2.0.so.0)
                #6  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #7  0x00007f68eb1cf31f __clone (libc.so.6)
                
                Stack trace of thread 2734:
                #0  0x00007f68eb4a14fc futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f68e3452dd8 _ZN2js17ConditionVariable4waitERNS_9LockGuardINS_5MutexEEE (libmozjs-52.so.0)
                #2  0x00007f68e3453095 _ZN2js17ConditionVariable8wait_forERNS_9LockGuardINS_5MutexEEERKN7mozilla16BaseTimeDurationINS5_27TimeDurationValueCalculatorEEE (libmozjs-52.so.0)
                #3  0x00007f68e383d850 _ZN2js12HelperThread10threadLoopEv (libmozjs-52.so.0)
                #4  0x00007f68e385e796 _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libmozjs-52.so.0)
                #5  0x00007f68eb49b564 start_thread (libpthread.so.0)
                #6  0x00007f68eb1cf31f __clone (libc.so.6)

Comment 1 Jonas Ådahl 2018-05-11 11:57:42 UTC
This will be fixed by mutter-3.28.2.

Comment 2 Stephen Gallagher 2018-05-11 12:10:40 UTC
(In reply to Jonas Ådahl from comment #1)
> This will be fixed by mutter-3.28.2.

Thanks for the quick reply! Much appreciated.

Comment 3 Stephen Gallagher 2018-05-11 19:55:45 UTC
This does indeed appear fixed in mutter-3.28.2-1.fc28.x86_64

Comment 4 Jonas Ådahl 2018-05-11 19:57:29 UTC
Thanks for confirming, closing this then.

Comment 5 Fedora Update System 2018-05-13 20:01:04 UTC
bijiben-3.28.2-1.fc28, eog-3.28.2-1.fc28, evolution-3.28.2-1.fc28, evolution-data-server-3.28.2-1.fc28, evolution-ews-3.28.2-1.fc28, evolution-mapi-3.28.2-1.fc28, gjs-1.52.3-1.fc28, gnome-boxes-3.28.4-1.fc28, gnome-characters-3.28.2-1.fc28, gnome-contacts-3.28.2-1.fc28, gnome-desktop3-3.28.2-1.fc28, gnome-disk-utility-3.28.2-1.fc28, gnome-getting-started-docs-3.28.2-1.fc28, gnome-keyring-3.28.2-1.fc28, gnome-logs-3.28.2-1.fc28, gnome-maps-3.28.2-1.fc28, gnome-music-3.28.2.1-1.fc28, gnome-shell-3.28.2-1.fc28, gnome-software-3.28.2-1.fc28, gnome-system-monitor-3.28.2-1.fc28, gvfs-1.36.2-1.fc28, libsoup-2.62.2-1.fc28, mutter-3.28.2-1.fc28, shotwell-0.28.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.